Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.expression.operators
Class SingleValueQuery

    java.lang.Object
      com.bea.content.expression.operators.AbstractQueryOperator
          com.bea.content.expression.operators.SingleValueQuery

All Implemented Interfaces
  IQueryOperator

Direct Known Subclasses:
  LikeIgnoreCaseQuery, LikeQuery, WildCardQuery

    public abstract class SingleValueQuery

extends AbstractQueryOperator

Field Summary

Fields inherited from class com.bea.content.expression.operators.AbstractQueryOperator
`criteria, criteriaList, multiplicity, param, textFormatter, userProperty, userPropertyName`

Constructor Summary
`protected` | `SingleValueQuery()`
`` | `SingleValueQuery(FullTextSearch.Parameter parameter, String value)`
`` | `SingleValueQuery(String userPropertyField, String value)`
`` | `SingleValueQuery(String userPropertyField, String value, FullTextSearch.Multiplicity multiplicity)`

Method Summary

Methods inherited from class com.bea.content.expression.operators.AbstractQueryOperator
`buildAutonomyDateString, buildCriteria, buildCriteria, buildCriteria, buildFTQP, criteriaNullCheck, getOperator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleValueQuery

    protected SingleValueQuery()

### SingleValueQuery

    public SingleValueQuery(String userPropertyField,
                            String value)
                     throws InvalidQueryException

Throws
  `InvalidQueryException`

### SingleValueQuery

    public SingleValueQuery(String userPropertyField,
                            String value,
                            FullTextSearch.Multiplicity multiplicity)
                     throws InvalidQueryException

Throws
  `InvalidQueryException`

### SingleValueQuery

    public SingleValueQuery(FullTextSearch.Parameter parameter,
                            String value)
                     throws InvalidQueryException

Throws
  `InvalidQueryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved